package com.dbxml.db.client.tools.command;

/*
 * dbXML - Native XML Database
 * Copyright (C) 1999-2004  The dbXML Group, L.L.C.
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
 *
 * $Id: RemoveUser.java,v 1.4 2004/02/12 00:17:55 bradford Exp $
 */

import java.io.PrintWriter;

import com.dbxml.db.client.CollectionClient;
import com.dbxml.db.client.tools.CommandLine;
import com.dbxml.db.common.security.AccessManagerClient;
import com.dbxml.util.dbXMLException;

/**
 * RemoveUser (RMUSER) removes a User from the Database.
 */

public class RemoveUser extends SingletonBase {
   protected String getArgumentName() {
      return "User ID";
   }

   protected void process(CollectionClient col, String argument) throws dbXMLException {
      PrintWriter pw = cl.getWriter();

      if ( cl.isPropertyTrue(CommandLine.CONFIRM) ) {
         try {
            String ans = cl.readLine("Delete User '" + argument + "' (y/N)? ");
            if ( !ans.equalsIgnoreCase("yes") && !ans.equalsIgnoreCase("y") ) {
               pw.println("User deletion canceled");
               return;
            }
         }
         catch ( Exception e ) {
            throw new dbXMLException("Error obtaining answer");
         }
      }

      AccessManagerClient manager = new AccessManagerClient(cl.getClient());
      manager.removeUser(argument);
      pw.println("User '"+argument+"' removed");
   }
}


